%define fontname sil-charis
%define archivename %{name}-%{version}
%define _fontdir %{_datadir}/fonts/TrueType-%{fontname}

Name:  TrueType-%{fontname}
Summary:  smart Unicode font family for Roman or Cyrillic-based writing systems
Summary(ja):  ラテン語或いはキリル文字ベースの表記のためのスマートな Unicode フォントファミリ
Version:  4.114
Release:  1%{?_dist_release}
License:  OFL
Group:  User Interface/X
URL: http://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&id=CharisSILfont
Source:  CharisSIL-%{version}.zip

BuildRequires: unzip
BuildArch: noarch

Requires: TrueType-%{fontname}-doc >= %{version}

Obsoletes: TrueType-%{fontname}-regular
Obsoletes: TrueType-%{fontname}-italic
Obsoletes: TrueType-%{fontname}-bold

BuildRoot:  %{_tmppath}/%{name}-%{version}-root


%description
Charis SIL is serif fonts what provides glyphs for a wide range
of Latin and Cyrillic characters.

This package install regular, bold, and italic families.

%description -l ja
Charis SIL はラテン文字とキリル文字の広範なグリフを提供する
セリフ体のフォントです。
regular・bold・italic の3書体をインストールします。

%package doc
Summary: Charis SIL Font Documents
Summary(ja): Charis SIL フォントドキュメント
Group: User Interface/X

%description doc
This package includes important documents for Charis SIL fonts includes enduser
license.

%description -l ja doc
このパッケージには Charis SIL フォントのライセンスを含むドキュメント類が含まれています。


%prep
%setup -q -n CharisSIL-%{version}

%clean
if test -n "${RPM_BUILD_ROOT}" && test "/" != "${RPM_BUILD_ROOT}"; then
    rm -rf ${RPM_BUILD_ROOT}
fi

%build

%install
rm -rf %{buildroot}

mkdir -p $RPM_BUILD_ROOT%{_fontdir}
cp -a *.ttf $RPM_BUILD_ROOT%{_fontdir}

%post
%__font_install_post %{_fontdir}

%postun
%__font_install_postun %{_fontdir}

%files
%{_fontdir}/CharisSIL-R.ttf
%{_fontdir}/CharisSIL-B.ttf
%{_fontdir}/CharisSIL-I.ttf
%{_fontdir}/CharisSIL-BI.ttf

%files doc
%doc FONTLOG.txt OFL.txt OFL-FAQ.txt README.txt

%changelog
* Sat Jan 11 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> - 4.114-1
- new upstream release

* Wed Oct 05 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 4.110-1
- new upstream release
- obsoleted -regular, -bold, -italic sub packages

* Sat May 29 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 4.106-1
- initial build for VineSeed
