Summary: A program to extract Microsoft Cabinet files
Summary(ja): Microsoft キャビネットファイルを抽出するプログラム
Name: cabextract
Version: 1.4
Release: 2%{?_dist_release}
License: GPLv3
Group: Applications/Archiving
Source: http://www.kyz.uklinux.net/downloads/%{name}-%{version}.tar.gz
URL: http://www.kyz.uklinux.net/cabextract.php
#Vendor: Stuart Caie
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: /usr

#--------------------------------------------------------------------
%description
Cabinet (.CAB) files are a form of archive, which Microsoft use to
distribute their software, and things like Windows Font Packs. The
cabextract program unpacks these files.

%description -l ja
Microsoft 社の配布するソフトウェア、例えば Windows フォントパック等で
使用されているキャビネット (.CAB) 形式のアーカイブファイルがあります。
cabextract プログラムはこれらのファイルの解凍を行います。

#--------------------------------------------------------------------
%prep
%setup -q

%build
CFLAGS=${RPM_OPT_FLAGS} ./configure --prefix=%{prefix}
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=$RPM_BUILD_ROOT

%clean
[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf ${RPM_BUILD_ROOT}

#--------------------------------------------------------------------
%files
%defattr(0644, root, root, 0755)
%doc AUTHORS ChangeLog NEWS README
%attr(0755, root, root) %{_bindir}/cabextract
%{_mandir}/man1/cabextract.1*

#--------------------------------------------------------------------
%changelog
* Sun Jan 12 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.4-2
- rebuilt with current toolchain

* Fri May 13 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.4-1
- new upstream release

* Mon Aug 16 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.3-3
- fixed permission (see [VineLinux:1021])

* Wed Aug 4 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.3-2
- recovered %build section
  - missing type make command...

* Sun Aug 1 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.3-1
- new upstream release
- cleaned up spec
- changed lisence to GPLv3

* Fri Jul 17 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> 1.2-2
- spec in UTF-8

* Mon Mar 24 2008 Seiichirou Babasaki 1.2
- Import cabextract - Packager: Babasaki
- Updated specfile
