Name: dolphin-plugins
Summary: dolphin plugins
Summary(ja): dolphin 用 プラグイン集
Version: 4.12.5
Release: 1%{?_dist_release}

License: GPLv2
Group: Applications/Development
URL: http://www.kde.org/

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: kdelibs-devel >= %{version}
BuildRequires: kdebase-devel >= %{version}
BuildRequires: soprano-devel

Requires: kdebase

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
%{summary}

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING COPYING.DOC COPYING.LIB ChangeLog README
%{_libdir}/kde4/fileviewbazaarplugin.so
%{_libdir}/kde4/fileviewgitplugin.so
%{_libdir}/kde4/fileviewhgplugin.so
%{_libdir}/kde4/fileviewsvnplugin.so
%{_datadir}/config.kcfg/fileviewgitpluginsettings.kcfg
%{_datadir}/config.kcfg/fileviewhgpluginsettings.kcfg
%{_datadir}/config.kcfg/fileviewsvnpluginsettings.kcfg
%{_datadir}/kde4/services/fileviewbazaarplugin.desktop
%{_datadir}/kde4/services/fileviewgitplugin.desktop
%{_datadir}/kde4/services/fileviewhgplugin.desktop
%{_datadir}/kde4/services/fileviewsvnplugin.desktop


%changelog
* Wed May 07 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.5-1
- new upstream release

* Sun Feb 09 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.2-1
- new upstream release

* Wed Dec 18 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.4-1
- new upstream release

* Sun Sep 15 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.11.1-1
- initial build

