Summary:        Ping alike tool for http requests
Summary(ja):    http リクエストを使った Ping 風のツール

Name:           httping
Version:        1.5.5
Release:        1%{?_dist_release}

Group:          Applications/Internet
License:        GPL+ and OpenSSL
URL:            http://www.vanheusden.com/httping/
Source0:        http://www.vanheusden.com/%{name}/%{name}-%{version}.tgz

BuildRequires:  openssl-devel

%description
Httping is like 'ping' but for http-requests.  Give it an url, and it'll 
show you how long it takes to connect, send a request and retrieve the
reply (only the headers). Be aware that the transmission across the network
also takes time.

%prep
%setup -q

%build
make %{?_smp_mflags} DEBUG="" OFLAGS="%{optflags} -D_GNU_SOURCE=1"

%install
make install INSTALL="install -Dp" STRIP=/bin/true DESTDIR=%{buildroot}
rm -rf %{buildroot}%{_defaultdocdir}

%files
%doc license.txt license.OpenSSL readme.txt
%{_mandir}/man*/%{name}*.*
%{_bindir}/%{name}

%changelog
* Sun Feb 17 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 1.5.5-1
- initial build for Vine Linux

* Sat Nov 10 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.5.5-1
- Updated to new upstream release 1.5.5

* Sat Sep 29 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.5.4-1
- Updated to new upstream release 1.5.4

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 19 2010 Dan Horák <dan[at]danny.cz> - 1.4.1-1
- Updated to new upstream version 1.4.1

* Wed Sep  2 2009 Ville Skyttä <ville.skytta@iki.fi> - 1.3.1-2
- Fix -debuginfo (let rpmbuild strip the binary) - #520852

* Mon Aug 31 2009 Dan Horák <dan[at]danny.cz> - 1.3.1-1
- Updated to new upstream version 1.3.1
- Updated the strndup patch

* Thu Jul 16 2009 Fabian Affolter <mail@fabian-affolter.ch> - 1.3.0-1
- Updated to new upstream version

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 24 2009 Fabian Affolter <mail@fabian-affolter.ch> - 1.2.9-3
- Changed license to GPL+

* Tue Dec 30 2008 manuel "lonely wolf" wolfshant <wolfy@fedoraproject.org> - 1.2.9-2
- remove duplicate definition of string functions
- fix Makefile and use "make install"

* Mon Dec 29 2008 Fabian Affolter <mail@fabian-affolter.ch> - 1.2.9-1
- Initial spec for Fedora
