%define	pyver		%(python -c 'import sys;print(sys.version[0:3])')
Summary:	Python bindings for Berkeley DB
Summary(ja): 	Berkeley DB 用 python バインディング
Name:		python-bsddb3
Version:	6.0.1
Release: 	1%{?_dist_release}
Source0:	http://pypi.python.org/packages/source/b/bsddb3/bsddb3-%{version}.tar.gz
License:	MIT
Group:		Development/Languages
URL:		http://www.jcea.es/programacion/pybsddb.htm

Requires:	python

BuildRequires:	python-devel
BuildRequires:	db4-devel

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
python-bsddb3 are the Python "bindings" for the excellent Oracle Berkeley DB. 

%description -l ja
python-bsddb3 は Oracle Berkeley DB 用の python バインディングです。


%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{summary}


%prep

%setup -q -n bsddb3-%{version}


%build
%{__python} setup.py build

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__python} setup.py install --root ${RPM_BUILD_ROOT}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root,-)
%doc ChangeLog README.txt
%{python_sitearch}/bsddb3/
%{python_sitearch}/bsddb3-%{version}-py%{pyver}.egg-info

%files devel
%defattr(-,root,root,-)
%{_includedir}/python%{pyver}/bsddb3/bsddb.h


%changelog
* Sun Jan 12 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 6.0.1-1
- new upstream release

* Sun Oct 28 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 5.3.0-1
- initial build

