%define ver 1.4
%define rel 1

Summary: a Python library for working with color names and color value formats defined by the HTML etc.
Name: python-webcolors
Version: %{ver}
Release: %{rel}%{?_dist_release}
License: MIT License
Group: Development/Libraries
URL: https://pypi.python.org/pypi/webcolors
Source0:https://pypi.python.org/packages/source/w/webcolors/webcolors-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: python-devel
Requires: python(abi) = %pyver

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
A library for working with color names and color value formats defined by the HTML and CSS specifications for use in documents on the Web.

Support is included for the following formats (RGB colorspace only; conversion to/from HSL can be handled by the colorsys module in the Python standard library):

- Specification-defined color names
- Six-digit hexadecimal
- Three-digit hexadecimal
- Integer rgb() triplet
- Percentage rgb() triplet

%prep
%setup -q -n webcolors-%{ver}

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}
%__python setup.py install --skip-build --root %{buildroot}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README
%{python_sitelib}/webcolors-%{ver}-py*.egg-info
%{python_sitelib}/webcolors.py
%{python_sitelib}/webcolors.pyc

%changelog
* Sun Mar  3 2013 IWAI, Masaharu <iwai@alib.jp> 1.4-1
- initial build for Vine Linux
