%define origname pkg-config
%define ver 1.1.4
%define rel 2

Summary: a pkg-config implementation by Ruby
Summary(ja): Ruby のために実装された pkg-config
Name: ruby-%{origname}
Version: %{ver}
Release: %{rel}%{?_dist_release}
License: LGPLv2.1+
Group: System Environment/Libraries
URL: https://github.com/rcairo/pkg-config
Source0: %{origname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

BuildRequires: ruby-devel >= 1.8
Requires: ruby >= 1.8

Vendor: Project Vine
Distribution: Vine Linux

%description
A pkg-config implementation by Ruby.

%prep
%setup -q -n %{origname}-%{version}

%build

%install
%__rm -rf $RPM_BUILD_ROOT
%__mkdir_p $RPM_BUILD_ROOT%{ruby_vendorlibdir}/pkg-config
%__install -m0644 lib/pkg-config.rb $RPM_BUILD_ROOT%{ruby_vendorlibdir}
%__install -m0644 lib/pkg-config/version.rb $RPM_BUILD_ROOT%{ruby_vendorlibdir}/pkg-config

%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LGPL-2.1 NEWS README.rdoc
%{ruby_vendorlibdir}/pkg-config.rb
%dir %{ruby_vendorlibdir}/pkg-config
%{ruby_vendorlibdir}/pkg-config/version.rb


%changelog
* Sat Dec 07 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.4-2
- rebuild with ruby-2.0.0.353

* Sun Jan 13 2013 IWAI, Masaharu <iwai@alib.jp> 1.1.4-1
- initial build for Vine Linux

