Summary:	Virtual package for MATE
Summary(ja):	MATE バーチャルパッケージ
Name:		task-mate
Version:	1.8.1
Release:	2%{?_dist_release}
License:	GPL
Group:		User Interface/Desktops
URL:		http://mate-desktop.org/

BuildRoot:	 %{_tmppath}/%{name}-%{version}-root

BuildArch:	noarch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi

# base
Requires:	libmatekbd
Requires:	libmateweather
Requires:	mate-backgrounds
Requires:	mate-common
Requires:	mate-control-center
Requires:	mate-desktop
Requires:	mate-dialogs
Requires:	mate-doc-utils
Requires:	caja
Requires:	mate-icon-theme
Requires:	mate-keyring
Requires:	mate-menus
Requires:	mate-notification-daemon
Requires:	mate-panel
Requires:	mate-polkit
Requires:	mate-session-manager
Requires:	mate-settings-daemon
Requires:	marco

# extra
Requires:	mate-applets
Requires:	mate-calc
Requires:	atril
Requires:	mate-file-archiver
Requires:	eom
Requires:	mate-media
Requires:	mate-power-manager
Requires:	mate-screensaver
Requires:	mate-system-monitor
Requires:	mate-terminal
Requires:	pluma

# others
Requires:	mate-utils

%description
This is a virtual package to install MATE system packages.

%description -l ja
MATE を簡単にインストールするための仮想パッケージです。

%files

%changelog
* Sun Jun 08 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.1-2
- remove mate-system-tools

* Sun May 11 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.1-1
- update to 1.8.1

* Thu Apr 17 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.0-1
- remove libmatewnck

* Mon Sep 23 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.1-2
- add mate-media

* Sat May 25 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.1-1
- update to 1.6.1
- remove mate-corba, mate-conf, mate-conf-editor, libmatecomponent, libmatecomponentui, mate-mime-data, mate-vfs, libmate, libmatecanvas, libmatenotify, libmateui, mate-display-manager

* Fri Aug 03 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- update to 1.4.0

* Sat May 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.0-1
- update to 1.2.0

* Sat Dec 24 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-2
- add mate-conf-editor, mate-utils

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-1
- initial package

