Name: 		thunar-vcs-plugin
Summary:        Version Contol System plugin for Thunar
Version:        0.1.4
Release: 	2%{?_dist_release}

Group: 		User Interface/Desktops
License:	GPLv2+
URL: 		http://goodies.xfce.org/projects/thunar-plugins/%{name}

Source0: 	http://archive.xfce.org/src/thunar-plugins/%{name}/0.1/%{name}-%{version}.tar.bz2

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

BuildRequires:  Thunar-devel >= 0.4.0
BuildRequires:  libexo-devel >= 0.5.0
BuildRequires:  libxfce4util-devel >= 4.8.0
BuildRequires:  gtk2-devel >= 2.14
BuildRequires:  subversion-devel >= 1.5
BuildRequires:  apr-devel >= 0.9.7
BuildRequires:  git-devel
BuildRequires:  libuuid-devel

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
The Thunar VCS Plugin adds Subversion actions to the context menu of thunar.
This gives a VCS integration to Thunar.


%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ]; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/thunarx-2/%{name}.so
%{_libexecdir}/tvp-git-helper
%{_libexecdir}/tvp-svn-helper
%{_datadir}/icons/hicolor/*/apps/*


%changelog
* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.4-2
- rebuild with VineSeed environment

* Sat Jun 09 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.4-1
- initial build for Vine Linux

