Summary: HTML to PDF/Image generation application
Summary(ja): HTMLからPDFまたは画像を生成するアプリケーション
Name: wkhtmltopdf
Version: 0.11.0
Release: 0.rc1%{?_dist_release}
License: GPLv3
Group: System Environment/Libraries
Url: http://code.google.com/p/wkhtmltopdf/

Source0: http://wkhtmltopdf.googlecode.com/files/wkhtmltopdf-%{version}_rc1.tar.bz2

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: qt4-devel

%description
Simple utility to convert html to pdf or image using the webkit 
rendering engine, and QT.
This package includes following command.
- wkhtmltopdf
- wkhtmltoimage

%package devel
Summary: Development files for wkhtmltopdf
Summary(ja): wkhtmltopdf の開発ファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files for wkhtmltox.


%prep
%setup -q -n %{name}-%{version}_rc1

# fix install path
sed -i -e 's|INSTALLBASE/lib|INSTALLBASE/%{_lib}|g' src/lib/lib.pro

# drop exec permissions from sample scripts
chmod a-x scripts/*.*

%build

%{_qt4_qmake}

make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make install INSTALL_ROOT=%{buildroot}/%{_prefix}

# remove unneeded scripts
rm -rf scripts/test*


%clean
rm -rf %{buildroot}


%post
/sbin/ldconfig
%postun
/sbin/ldconfig

%files
%doc COPYING README_* scripts
%{_bindir}/*
%{_libdir}/*.so.*

%files devel
%doc examples
%{_libdir}/*.so
%{_includedir}/*


%changelog
* Mon Dec 10 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 0.11.0-0.rc1
- initial build for Vine Linux

