Name:		xcb-util-cursor
Version:	0.1.1
Release:	1%{?_dist_release}
Summary:	XCB util-cursor module

Group:		System Environment/Libraries
License:	MIT
URL:		http://xcb.freedesktop.org
Source0:	http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	xcb-util-devel
BuildRequires:	xcb-util-image-devel
BuildRequires:	xcb-util-renderutil-devel

Vendor:			Project Vine
Distribution:	Vine Linux
Packager:		Takemikaduchi

%description
XCB util-cursor module provides the following library:

  - cursor: Port of libxcursor

%package 	devel
Summary:	Development and header files for %{name}
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}, pkgconfig

%description	devel
Development files for %{name}.


%prep
%setup -q


%build
%configure --with-pic --disable-static

make %{?_smp_mflags}


%check

make check


%install
rm -rf %{buildroot}

make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

rm %{buildroot}%{_libdir}/*.la


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README
%{_libdir}/libxcb-cursor.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/xcb-cursor.pc
%{_libdir}/libxcb-cursor.so
%{_includedir}/xcb/*.h


%changelog
* Thu Dec 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.1-1
- initial build
