Name: 		xfce4-genmon-plugin
Summary:        Generic monitor plugin for the Xfce4 panel
Summary(ja):    Xfce パネル用 汎用モニタプラグイン
Version:        3.4.0
Release: 	2%{?_dist_release}

Group: 		User Interface/Desktops
License:	GPLv2+
URL: 		http://goodies.xfce.org/projects/panel-plugins/%{name}

Source0: 	http://archive.xfce.org/src/panel-plugins/%{name}/3.4/%{name}-%{version}.tar.bz2

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

BuildRequires:  libxfce4util-devel >= 4.8.0
BuildRequires:  libxfce4ui-devel >= 4.8.0
BuildRequires:  xfce4-panel-devel >= 4.8.0

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
The GenMon plugin cyclically spawns the indicated script/program, captures its output and displays the result into the panel.


%description -l ja
GenMonプラグインは周期的に指定されたスクリプト/プログラムを実行し、その出力内容をキャプチャし、パネルにその結果を表示する。

%prep
%setup -q -n xfce4-genmon-plugin-3.4

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/xfce4/panel/plugins/libgenmon.so
%{_datadir}/xfce4/panel/plugins/genmon.desktop

%changelog
* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.0-2
- rebuild with VineSeed environment

* Thu Jun 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.0-1
- initial build for Vine Linux

