Name:           xfce4-taskmanager
Summary:        Task Manager for Xfce
Summary(ja):    Xfce のタスクマネージャー
Version:        1.0.0
Release:        2%{?_dist_release}

License:        GPLv2+
Group:          User Interface/Desktops
URL:            http://goodies.xfce.org/projects/applications/xfce4-taskmanager

Source0:        http://archive.xfce.org/src/apps/%{name}/1.0/%{name}-%{version}.tar.bz2

BuildRoot:     %{_tmppath}/%{name}-%{version}-root

BuildRequires: desktop-file-utils
BuildRequires: gtk2-devel >= 2.12.0
BuildRequires: cairo-devel >= 1.5
BuildRequires: libwnck-devel >= 2.0

Requires(post,postun):	desktop-file-utils

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
Task Manager for Xfce.


%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
	--add-category="X-XFCE" \
	--delete-original \
	--dir=%{buildroot}%{_datadir}/applications \
        ${RPM_BUILD_ROOT}%{_datadir}/applications/xfce4-taskmanager.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post
update-desktop-database %{_datadir}/applications &> /dev/null || :

%postun
update-desktop-database %{_datadir}/applications &> /dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS TODO COPYING
%{_bindir}/xfce4-taskmanager
%{_datadir}/applications/xfce4-taskmanager.desktop

%changelog
* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.0.9-2
- rebuild with VineSeed environment

* Thu Jun 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.0.9-1
- initial build for Vine Linux

