Summary:	Internationalization support for Cinnamon
Summary(ja):	Cinnamon の国際化サポートパッケージ
Name:		cinnamon-translations
Version:	2.2.0
Release:	1%{?_dist_release}
URL:		https://github.com/linuxmint/cinnamon-session
License:	GPLv2
Group:		User Interface/Desktops
BuildArch:	noarch

Source0:	%{name}-%{version}.tar.gz

BuildRequires: 	python-polib

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
%{name}


%prep
%setup -q

%build


%install
rm -rf $RPM_BUILD_ROOT

install -m 0755 -d $RPM_BUILD_ROOT%{_datadir}/cinnamon/locale/
cp -Rp mo-export/* $RPM_BUILD_ROOT%{_datadir}/cinnamon/locale/

rm $RPM_BUILD_ROOT%{_datadir}/cinnamon/locale/*/LC_MESSAGES/cinnamon-bluetooth.mo

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc COPYING
%{_datadir}/cinnamon/locale/


%changelog
* Sun Apr 20 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.0-1
- initial build

