%define	ver	0.1
%define	rel	3
%define	svnrev	1569

Summary: Generate Your Projects
Name: gyp
Version: %{ver}
Release: %{rel}.svn%{svnrev}%{?_dist_release}
License: BSD
Group: Development/Tools
URL: http://code.google.com/p/gyp/
# svn checkout http://gyp.googlecode.com/svn/trunk gyp
Source0: %{name}-%{version}-svn%{svnrev}.tar.bz2
Patch0:         gyp-rpmoptflags.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: python-devel
Requires: python

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
GYP is a tool to generates native Visual Studio, Xcode and SCons
and/or make build files from a platform-independent input format.

Its syntax is a universal cross-platform build representation
that still allows sufficient per-platform flexibility to accommodate
irreconcilable differences.

%prep
%setup -q -c -n %{name}-%{version}-svn%{svnrev}
%patch0 -p1 -b .0-rpmoptflags

%build
%{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --root %{buildroot}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE AUTHORS samples tools
%{_bindir}/gyp
%{python_sitelib}/gyp-*.egg-info
%{python_sitelib}/gyp

%changelog
* Fri Mar 22 2013 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.46-1
- update to svn r1569

* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1-2.svn827
- rebuild with python-2.7.2

* Fri Jun  4 2010 IWAI, Masaharu <iwai@alib.jp> 0.1-1.svn827
- Initial build.

