
# Basic Information
Name:		libXaw3dXft
Version:	1.6.2b
Release:	1%{?_dist_release}
License:	MIT
Group:		Development/Libraries
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	X 3D Athena Widgets Library with Xft

# Dependency
Requires:	libXft
BuildRequires:	libXmu
BuildRequires:	libXft-devel
BuildRequires:	libXmu-devel

%package devel
Summary:	Development tools for programs which will use the libXaw3dXft library.
Summary(ja):	libXaw3dXft ライブラリを使うプログラム向け開発ツール
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libXft-devel
Requires:	libXmu-devel

%description
X 3D Athena Widgets Library with Xft

%description devel
Development tools for programs which will use the libXaw3dXft library.

%prep
%setup -q

%build
%configure --enable-internationalization --enable-arrow-scrollbars
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

%{__rm} ${RPM_BUILD_ROOT}%{_libdir}/libXaw3dxft.a
%{__rm} ${RPM_BUILD_ROOT}%{_libdir}/libXaw3dxft.la


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYING README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/X11/Xaw3dxft
%{_libdir}/*.so
%{_libdir}/pkgconfig/xaw3dxft.pc
%{_docdir}/%{name}/README.XAW3D

%changelog
* Sat Oct 05 2013 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.6.2b-1
- initial build for Vine Linux

