Name:    libkomparediff2
Summary: The library for the KDE kompare
Summary(ja): KDE kompare 用のライブラリ
Version: 4.12.5
Release: 1%{?_dist_release}

License: GPLv2,LGPLv2,LGPLv2.1,GPLv3,LGPLv3
URL:     https://code.launchpad.net/~neon/kdegames/libkdegames
Group:   System Environment/Libraries

Source0: ftp://ftp.kde.org/pub/kde/table/%{version}/src/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: kdelibs-devel >= %{version}
BuildRequires: soprano-devel

Requires: kdelibs >= %{version}

%description
This package contains the library for the kompare package.

%package devel
Summary:  Development files for %{name} 
Summary(ja): %{name} の開発用ファイル 
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: kdelibs-devel 

%description devel
%{summary}.


%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING COPYING-CMAKE-SCRIPTS
%doc COPYING.GPL2 COPYING.GPL3
%doc COPYING.LGPL2 COPYING.LGPL2.1 COPYING.LGPL3
%{_libdir}/libkomparediff2.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/kde4/%{name}
%{_libdir}/libkomparediff2.so
%{_libdir}/cmake/%{name}


%changelog
* Wed May 07 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.5-1
- new upstream releease

* Sun Feb 09 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.12.2-1
- initial build
