Summary:     A compact getty program for virtual consoles only.
Summary(ja): 仮想コンソール専用の コンパクトな getty プログラム
Name:        mingetty
Version:     1.08
License:     GPL
Release:     2%{?_dist_release}
Group:       System Environment/Base
Source0:     ftp://jurix.jura.uni-sb.de/pub/linux/source/system/daemons/mingetty-%{version}.tar.gz
Patch:       mingetty-1.00-opt.patch
BuildRoot:   %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
The mingetty program is a lightweight, minimalist getty program for
use only on virtual consoles.  Mingetty is not suitable for serial
lines (you should use the mgetty program in that case).

%description -l ja
mingetty プログラムは，非常に軽量コンパクトな getty プログラムで，
仮想コンソールのみで使うことが出来ます．mingetty はシリアルコンソールで
使うことは出来ません (それ用には mgetty プログラムを使って下さい)．


%prep
%setup -q
%patch -p1

%build
make "RPM_OPTS=$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{sbin,%{_mandir}/man8}

install -m 0755 -s mingetty $RPM_BUILD_ROOT/sbin/
install -m 0644 mingetty.8 $RPM_BUILD_ROOT/%{_mandir}/man8/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc COPYING 
/sbin/mingetty
%{_mandir}/man8/mingetty.*


%changelog
* Sun Feb 02 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.08-2
- rebuild with VineSeed environment

* Wed Apr 13 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.08-1
- new upstream release

* Wed Sep 10 2008 Shu KONNO <owa@bg.wakwak.com> 1.07-1vl5
- applied new versioning policy, spec in utf-8

* Wed Sep 20 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.07-0vl1
- rebuild to add gpg sign
- new upstream release

* Mon Oct 20 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.06-2vl1
- based on Redhat Rawhide 1.06-2
- rebuild with new toolchains

* Wed Feb 20 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.4-17vl2
- rebuild

* Tue May 29 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@vinelinux.org>
- 0.9.4-17vl1
- rebuilt for Vine Linux

* Wed Apr 11 2001 Bill Nottingham <notting@redhat.com>
- rebuild (missing ia64 packages)

* Fri Apr 06 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- fix man-page bug #34991
- fix syslog() call to be more secure #17349

* Thu Jan 11 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- set TERM=dumb for s390 console

* Mon Nov 13 2000 Oliver Paukstadt <oliver.paukstadt@millenux.com>
- fgetc returns int not char

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- use %%{_mandir} for man pages

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 10)

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- fixed build problems on intel and alpha for manhattan

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
~- built against glibc
