%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{!?python_ver: %define python_ver %(%{__python} -c "import sys ; print sys.version[:3]")}

Summary: Wireless settings python bindings
Summary(ja): wireless-tools の python バインディング
Name: python-iwlib
Version: 0.1
Release: 4%{?_dist_release}
URL: http://git.fedorahosted.org/git/python-iwlib.git
Source: http://fedorahosted.org/released/python-iwlib/%{name}-%{version}.tar.bz2
License: GPLv2
Group: System Environment/Libraries
ExcludeArch: s390 s390x
BuildRequires: python-devel
BuildRequires: wireless-tools-devel
Requires: wireless-tools
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
Python bindings for the iwlib kernel interface,
that provides functions to examine the wireless network devices
installed on the system.

%prep
%setup -q

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}
mkdir -p %{buildroot}%{_sbindir}
chmod 755 %{buildroot}%{python_sitearch}/iwlib.so

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%{python_sitearch}/iwlib.so
%if "%{python_ver}" >= "2.5"
%{python_sitearch}/*.egg-info
%endif

%changelog
* Sun Jan 12 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1-4
- rebuild with VineSeed environment

* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1-3
- rebuild with python-2.7.2

* Tue Feb 02 2010 Shu KONNO <owa@bg.wakwak.com> 0.1-2
- rebuild with python-2.6

* Wed Sep 23 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1-1
- initial build for Vine Linux

* Mon Jul 27 2009 Jiri Popelka <jpopelka@redhat.com> - 0.1-1
- Get iwlib code from rhpl 0.222-1
