Summary:	qt viewer for comic book archives
Summary(ja): 	漫画本アーカイブ用 qt ビューア
Name:		qcomicbook
Version:	0.9.0
Release: 	2%{?_dist_release}
License:	GPLv2
Group:		Applications/Graphics
URL:		http://qcomicbook.linux-projects.net/
Source0:	http://qcomicbook.linux-projects.net/releases/qcomicbook-%{version}.tar.gz
Source1:        qcomicbook_ja_JP.ts
Patch0:         qcomicbook_desktop.patch
#Patch1:         enable_ja_trans.patch

BuildRequires: cmake >= 2.6.0
BuildRequires: desktop-file-utils
BuildRequires: libXi-devel
BuildRequires: libXmu-devel
BuildRequires: poppler-qt4-devel >= 0.12.4
BuildRequires: qt4-devel >= 4.5.0

BuildRoot:	%{_tmppath}/%{name}-%{version}-root


%description
QComicBook is a viewer for comic book archives: rar, cbr,
zip, cbz, ace, cba,tar.gz, cbg, tar.bz2, cbb. QComicBook 
aims at convenience and simplicity. Features include: 
automatic decompression, full-screen mode, two pages mode, 
japanese mode, thumbnails view, page scaling and rotating, 
page preloading and caching, mouse or keyboard navigation, 
bookmarks etc.

QComicBook requires zip/unzip, rar/unrar, tar with 
gzip+bzip2 support and unace to handle archives.

%description -l ja
QComicBook は 漫画本アーカイブ (rar, cbr,zip, cbz, ace, cba,
tar.gz, cbg, tar.bz2, cbb) 向けのビューアです。
QComicBook は利便性と簡便性を目指しています。

自動展開、全画面モード、見開きモード、サムネイルビュー、
ページのスケーリングと回転、ページの先読みとキャッシング、
マウスかキーボードによる操作、ブックマーク等の機能を含みます。

QComicBook はアーカイブの展開に zip/unzip、rar/unrar、
gzip+bzip2 を使用した tar の支援と unace を必要とします。


%prep
%setup -q
%{__cp} -f %{SOURCE1} i18n/

%patch0 -p1
#%patch1 -p1

%build
%ifarch %{ix86}
export QTDIR=/usr/lib/qt4
%endif
%ifarch x86_64
export QTDIR=/usr/lib64/qt4
%endif

cmake . -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%__make DESTDIR=%{buildroot} install

desktop-file-install --vendor="" --delete-original           \
        --dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
        ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%post
update-desktop-database > /dev/null 2>&1 || :


%postun
update-desktop-database > /dev/null 2>&1 || :


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/i18n/
%{_datadir}/pixmaps/
%{_mandir}/man?/%{name}.1.gz

%changelog
* Sun Mar 30 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.9.0-2
- rebuilt with new toolchain

* Sat Jun 09 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.9.0-1
- new upstream release
- recreated Patch0
- updated Source1
- deleted Patch1

* Sun Apr 29 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.8.2-2
- added Source1 and Patch1 to enable Japanese translation
- set conditional branch for architecture

* Sun Nov 06 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.8.2-1
- new upstream release

* Fri Aug 19 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.8.1-1
- initial build for Vine Linux
