Name:		xcb-util-image
Version:	0.3.9
Release:	2%{?_dist_release}
Summary:	XCB util-image module

Group:		System Environment/Libraries
License:	MIT
URL:		http://xcb.freedesktop.org
Source0:	http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	xcb-util-devel

Vendor:			Project Vine
Distribution:	Vine Linux
Packager:		Takemikaduchi

%description
XCB util-image module provides the following library:

  - image: Port of Xlib's XImage and XShmImage functions.

%package 	devel
Summary:	Development and header files for %{name}
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}, pkgconfig

%description	devel
Development files for %{name}.


%prep
%setup -q


%build
%configure --with-pic --disable-static

make %{?_smp_mflags}


%check

make check


%install
rm -rf %{buildroot}

make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

rm %{buildroot}%{_libdir}/*.la


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README
%{_libdir}/libxcb-image.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/xcb-image.pc
%{_libdir}/libxcb-image.so
%{_includedir}/xcb/*.h


%changelog
* Thu Dec 26 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.9-2
- rebuild with VineSeed environment

* Sun Jun 16 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.3.9-1
- initial build
